Debian Bug report logs - #439616
gcc-snapshot: ICE: stmt marked modified after optimization pass

version graph

Package: gcc-snapshot; Maintainer for gcc-snapshot is Debian GCC Maintainers <debian-gcc@lists.debian.org>; Source for gcc-snapshot is src:gcc-snapshot.

Reported by: "brian m. carlson" <sandals@crustytoothpaste.net>

Date: Sun, 26 Aug 2007 00:39:01 UTC

Severity: normal

Tags: fixed-upstream

Found in version gcc-snapshot/20070811-1

Fixed in version 20111210-1

Done: Jonathan Nieder <jrnieder@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to http://gcc.gnu.org/PR32305

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#439616; Package gcc-snapshot. Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.ath.cx>:
New Bug report received and forwarded. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gcc-snapshot: ICE: stmt marked modified after optimization pass
Date: Sun, 26 Aug 2007 00:34:54 +0000
[Message part 1 (text/plain, inline)]
Package: gcc-snapshot
Version: 20070811-1
Severity: normal

Running "/usr/lib/gcc-snapshot/bin/gcc -O3 -fipa-pta -c test.i" causes
an ICE:

test.c: In function 'TestRMD160':
test.c:90: error: stmt (0x2ad3b9ccfe40) marked modified after optimization pass: 
D.3972_4 = strings[i_1];
test.c:90: internal compiler error: verify_ssa failed

If -fPIC is additionally used (or -O2, instead of -O3), the error is
slightly different:

test.c: In function 'main':
test.c:90: error: stmt (0x2b562f1ac320) marked modified after optimization pass: 
if (argc_3(D) <= 1)
test.c:90: internal compiler error: verify_ssa failed

The bug requires at least -fipa-pta and -O1.

Preprocessed source is attached.

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.22-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to en_US.UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages gcc-snapshot depends on:
ii  binutils              2.18~cvs20070812-1 The GNU assembler, linker and bina
ii  lib32gcc1             1:4.2.1-4          GCC support library (32 bit Versio
ii  libasound2            1.0.14a-2          ALSA library
ii  libatk1.0-0           1.19.6-1           The ATK accessibility toolkit
ii  libc6                 2.6.1-1            GNU C Library: Shared libraries
ii  libc6-dev             2.6.1-1            GNU C Library: Development Librari
ii  libc6-i386            2.6.1-1            GNU C Library: 32bit shared librar
ii  libcairo2             1.4.10-1+b2        The Cairo 2D vector graphics libra
ii  libfontconfig1        2.4.2-1.2          generic font configuration library
ii  libfreetype6          2.3.5-1+b1         FreeType 2 font engine, shared lib
ii  libgcc1               1:4.2.1-4          GCC support library
ii  libglib2.0-0          2.14.0-2           The GLib library of C routines
ii  libgmp3c2             2:4.2.1+dfsg-5     Multiprecision arithmetic library
ii  libgtk2.0-0           2.11.6-1           The GTK+ graphical user interface 
ii  libice6               2:1.0.4-1          X11 Inter-Client Exchange library
ii  libmpfr1ldbl          2.3.0~rc1.dfsg.1-2 multiple precision floating-point 
ii  libpango1.0-0         1.17.5-1           Layout and rendering of internatio
ii  libpng12-0            1.2.15~beta5-2     PNG library - runtime
ii  libsm6                2:1.0.3-1+b1       X11 Session Management library
ii  libx11-6              2:1.0.3-7          X11 client-side library
ii  libxcursor1           1:1.1.8-2          X cursor management library
ii  libxext6              1:1.0.3-2          X11 miscellaneous extension librar
ii  libxfixes3            1:4.0.3-2          X11 miscellaneous 'fixes' extensio
ii  libxi6                2:1.1.2-1          X11 Input extension library
ii  libxinerama1          1:1.0.2-1          X11 Xinerama extension library
ii  libxrandr2            2:1.2.1-1          X11 RandR extension library
ii  libxrender1           1:0.9.2-1          X Rendering Extension client libra
ii  libxtst6              1:1.0.2-1          X11 Testing -- Resource extension 
ii  zlib1g                1:1.2.3.3.dfsg-5   compression library - runtime

gcc-snapshot recommends no packages.

-- no debconf information

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 713 440 7475 | http://crustytoothpaste.ath.cx/~bmc | My opinion only
OpenPGP: RSA v4 4096b 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[test.i (text/plain, attachment)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#439616; Package gcc-snapshot. Full text and rfc822 format available.

Acknowledgement sent to Martin Michlmayr <tbm@cyrius.com>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 439616@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: "brian m. carlson" <sandals@crustytoothpaste.ath.cx>, 439616@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#439616: gcc-snapshot: ICE: stmt marked modified after optimization pass
Date: Sun, 26 Aug 2007 10:26:57 +0200
forarded 439616 http://gcc.gnu.org/PR32305
thanks

* brian m. carlson <sandals@crustytoothpaste.ath.cx> [2007-08-26 00:34]:
> test.c:90: error: stmt (0x2ad3b9ccfe40) marked modified after optimization pass: 
> D.3972_4 = strings[i_1];

I guess this is PR32305.
-- 
Martin Michlmayr
http://www.cyrius.com/



Noted your statement that Bug has been forwarded to http://gcc.gnu.org/PR32305. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Sun, 26 Aug 2007 08:48:05 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 16 Nov 2009 16:57:35 GMT) Full text and rfc822 format available.

Changed Bug submitter to '"brian m. carlson" <sandals@crustytoothpaste.net>' from '"brian m. carlson" <sandals@crustytoothpaste.ath.cx>' Request was from "brian m. carlson" <sandals@crustytoothpaste.net> to control@bugs.debian.org. (Thu, 03 Feb 2011 20:51:19 GMT) Full text and rfc822 format available.

Reply sent to Jonathan Nieder <jrnieder@gmail.com>:
You have taken responsibility. (Fri, 30 Dec 2011 19:36:24 GMT) Full text and rfc822 format available.

Notification sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Bug acknowledged by developer. (Fri, 30 Dec 2011 19:36:24 GMT) Full text and rfc822 format available.

Message #21 received at 439616-done@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 439616-done@bugs.debian.org
Subject: Re: gcc-snapshot: ICE: stmt marked modified after optimization pass
Date: Fri, 30 Dec 2011 13:34:49 -0600
Version: 20111210-1

brian m. carlson wrote:

> Running "/usr/lib/gcc-snapshot/bin/gcc -O3 -fipa-pta -c test.i" causes
> an ICE:

Works fine for me. :)

Rumored to have been fixed by gcc 4.4.  Thanks for reporting it.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 25 Jul 2012 07:27:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 09:12:19 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.